<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Social Engineering|USB Key Campaigns|Executable Files">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="Learn how to generate an executable file from a campaign. " /><title>Generating an Executable File </title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#11-social-engineering/generating-executable-files.html">Open topic with navigation</a>
        </p>
        <h3>Generating an Executable File <a name="kanchor184"></a></h3>
        <ol>
            <li value="1">From within a project, click the <b class="UISelection">Campaigns </b>tab. </li>
            <li value="2">When the Manage Campaigns page appears, click the <b class="UISelection">Configure a Campaign </b>tab.
 </li>
            <li value="3">When the campaign configuration form appears, enter a descriptive name for the campaign in the <b class="UISelection">Name </b>field. For example, USB-Payroll helps you easily identify the campaign type and the executable file name.</li>
            <li value="4"> 
Select the <b class="UISelection">Custom Campaign </b>option.</li>
            <li value="5"> 
Click the <b class="UISelection">Add e-mail, web page, portable file</b> button. A set of campaign components appears. 
</li>
            <li value="6">Click the <b class="UISelection">Portable File </b>button. 
</li>
            <li value="7">In the <b class="UISelection">Component name</b> field, enter a unique name for the portable file component. This name displays under the portable file icon on the campaign configuration page. </li>
            <li value="8">
In the <b class="UISelection">Generated file name</b> field, enter a name for the executable file. This is the file name that the human target sees when they look at the contents of the USB drive. You want to give the file a name that entices the user to click on it. For example, a name like “Payroll” or “Company Bonuses” may work well.</li>
            <li value="9">In the <b class="UISelection">Listener Host</b> field, enter the callback IP address you want to the payload use. By default, the callback IP is the address of your Metasploit server. </li>
            <li value="10">In the <b class="UISelection">Listener Port</b> field, enter the callback port that you want the payload to use. By default, the callback port is 1024.</li>
            <li value="11">
Select the <b class="UISelection">Payload type</b> for the executable file. 
</li>
            <li value="12">Verify that <b class="UISelection">Executable file</b> is selected as the<b class="UISelection"> File generation type</b>.
</li>
            <li value="13">Save the executable. 
</li>
            <li value="14">When the Configure a Campaign area reappears, you will see a Download link located beneath the USB Key icon. Click the <b class="UISelection">Download </b>link and save the executable file to a location on your local machine. The Desktop or Downloads folder is a good location. 
</li>
            <li value="15">Click the <b class="UISelection">Launch Campaign </b>button to start the campaign. The campaign must be online in order for you to get a session on the human target’s system. </li>
            <li value="16">
Insert your USB key into your USB port and move the executable over to your USB drive.
</li>
        </ol>
        <p>The USB key is now ready for you to drop off. You should select an area that has high traffic volume or a location where people are more likely to set things down and forget them, such as bathrooms, copy rooms, and break rooms. This increases the chances of someone finding the USB key and installing it on their system. If you are able to successfully create a backdoor on the victim’s machine, you can use it to pivot to other machines on the network and collect information from the victim.</p>
    </body>
</html>